Skip to main content
GET
/
trust-centers
/
{slugId}
/
chatbot
/
conversations
List Trust Center chatbot conversations
curl --request GET \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/chatbot/conversations \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "pageInfo": {
      "hasNextPage": true,
      "hasPreviousPage": false,
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "endCursor": "YXJyYXljb25uZWN0aW9uOjE="
    },
    "data": [
      {
        "id": "4b1e7a8c3d9f6a2b5c8d0e3f",
        "firstMessage": "What security certifications do you have?",
        "numMessages": 4,
        "userEmail": "viewer@company.com",
        "isPublicConversation": false,
        "createdAt": "2024-01-15T10:30:00.000Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

searchString
string

Search conversations by message content.

Response

200 - application/json

Ok

results
object
required